Module org.firebirdsql.jaybird
Package org.firebirdsql.jdbc

# Class FBRowId

java.lang.Object
org.firebirdsql.jdbc.FBRowId

All Implemented Interfaces:
  `RowId`, `FirebirdRowId`

@InternalApi public final class FBRowId extends Object implements FirebirdRowId
Firebird row-id.

This is a thin wrapper around the bytes of a `RDB$DB_KEY`.

This class is internal API of Jaybird. Future versions may radically change, move, or make inaccessible this type. For the public API, refer to the `RowId` and `FirebirdRowId` interfaces.

Since:
  4.0
Author:
  Mark Rotteveel

## Constructor Summary

Constructors
Constructor
Description
`FBRowId(byte[] rowIdBytes)`
Creates an `FBRowId` from the provided byte array.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object obj)`
`byte[]`
`getBytes()`
`int`
`hashCode()`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### FBRowId

public FBRowId(byte[] rowIdBytes)
Creates an `FBRowId` from the provided byte array.

Parameters:
  `rowIdBytes` - Bytes of the row id

## Method Details

### toString

public String toString()

Specified by:
  `toString` in interface `RowId`
Overrides:
  `toString` in class `Object`

### equals

public boolean equals(Object obj)

Implementation note: allows for equality with any implementation of `RowId`.

Specified by:
  `equals` in interface `RowId`
Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Specified by:
  `hashCode` in interface `RowId`
Overrides:
  `hashCode` in class `Object`

### getBytes

public byte[] getBytes()

NOTE: implementation will return a clone of the array.

Specified by:
  `getBytes` in interface `RowId`